Package org.jboss.resteasy.jose.jws

## Class JWSBuilder

- java.lang.Object
- - org.jboss.resteasy.jose.jws.JWSBuilder

-     public class JWSBuilder
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `JWSBuilder.EncodingBuilder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JWSBuilder()` |
    `JWSBuilder​(javax.ws.rs.ext.Providers providers)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JWSBuilder.EncodingBuilder` | `content​(byte[] bytes)` |
    `JWSBuilder.EncodingBuilder` | `content​(Object object, javax.ws.rs.core.MediaType marshalTo)` |
    `JWSBuilder` | `contentType​(String type)` |
    `JWSBuilder` | `contentType​(javax.ws.rs.core.MediaType type)` |
    `protected void` | `encode​(String sigAlgName, byte[] data, StringBuilder encoding)` |
    `protected void` | `encode​(Algorithm alg, byte[] data, StringBuilder encoding)` |
    `protected String` | `encodeAll​(StringBuilder encoding, byte[] signature)` |
    `protected String` | `encodeHeader​(String sigAlgName)` |
    `JWSBuilder.EncodingBuilder` | `jsonContent​(Object object)` |
    `JWSBuilder` | `kid​(String kid)` |
    `protected byte[]` | `marshalContent()` |
    `JWSBuilder` | `type​(String type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JWSBuilder

          public JWSBuilder()

    - #### JWSBuilder

          public JWSBuilder​(javax.ws.rs.ext.Providers providers)

  - ### Method Detail

    - #### type

          public JWSBuilder type​(String type)

    - #### kid

          public JWSBuilder kid​(String kid)

    - #### contentType

          public JWSBuilder contentType​(String type)

    - #### contentType

          public JWSBuilder contentType​(javax.ws.rs.core.MediaType type)

    - #### content

          public JWSBuilder.EncodingBuilder content​(byte[] bytes)

    - #### content

          public JWSBuilder.EncodingBuilder content​(Object object,
                                                    javax.ws.rs.core.MediaType marshalTo)

    - #### jsonContent

          public JWSBuilder.EncodingBuilder jsonContent​(Object object)

    - #### encodeHeader

          protected String encodeHeader​(String sigAlgName)

    - #### encodeAll

          protected String encodeAll​(StringBuilder encoding,
                                     byte[] signature)

    - #### encode

          protected void encode​(Algorithm alg,
                                byte[] data,
                                StringBuilder encoding)

    - #### encode

          protected void encode​(String sigAlgName,
                                byte[] data,
                                StringBuilder encoding)

    - #### marshalContent

          protected byte[] marshalContent()